if not dsc then return end

local function AOCommand( pars )
	if pars.command == "tSM" then
		toggleShortMode()
	end
end


function getAM_log()
	return false  ---- false or true:: log events|handlers in chat or not
end

function setAMSupport()
	if getAM_log() then LogToChat("setAMSupport") end

	local DESCR = {
--[[ DESCRIBE Your addon here.
	parameters:
	sender = common.GetAddonName() -- addon name
	desc - addon description
	showSettingsButton
	showDNDButton 
]]
		desc = L("Addon replaces a signatures and health bars on the units and etc."),
		abbrev = "NPB2",
		--showSettingsButton = false, showDNDButton = false,
		on_click_hide = true, -- hide AddonsMenu when to show me
		make_FButton = true, -- to add my own FastButton to FastButtons Panel of AddonsTools
		addonsBlocked = getUnloadedAddonsList(),
		commands = { 
			{ name = "tSM", label = "Toggle Short Mode", },
			},

		icon = common.GetAddonRelatedTexture("Secret"),
		vers = "r57a",
		lib = "AddonsTools r81a",
		}
	local vers = AT_Vers()
	--exObj("vers", vers)
	if vers.lib < 6 or vers.tools < 2 or vers.menu < 7 or vers.addons < 3 then 
		local w = mainForm:GetChildUnchecked("ErrorText", false)
		w:SetVal("value",ToWS(common.GetAddonName().." - "..L("ERROR: Install latest version of AddonsTools addon")))
		w:Show(true)
		return nil, DESCR
	end

	return { 
-----------------------------------------------------------
------------------------------------------------- EDIT HERE:
-----------------------------------------------------------
	--- Insert here Your own functions
	-- initialize this addon when confirmed start:
		ThisAddonInit = mainInit,
	-- save a settings if need before unload:
		SaveToConfig = toConfig,
	-- if this addon unload any others addons then load they:
		LoadAllUnloadedAddons = loadUnloadedAddons,
	-- when right clicked on a "Addons Menu" item - open context menu with commands (see DESC)
	---  pars = { target = addon_name, command = command_name, } : 
		AOCommand = AOCommand,
	-- when clicked on a "Addons Menu" item - to show the mainForm
	---  pars = { sender = item.name, wBase = item.widgets["mnu_"] } : 
		AOBClick = mainMenuToggle,
	-- when right mouse clicked on a "Addons Menu" item:
	---  pars = { sender = item.name, wBase = item.widgets["mnu_"] } : 
		AOBRightClick = toggleShortMode, --function() LogToChat(common.GetAddonName().." Right Click") end,
	-- when double clicked on a "Addons Menu" item:
	---  pars = { sender = item.name, wBase = item.widgets["mnu_"] } : 
		AOBDoubleClick = nil, --function() LogToChat(common.GetAddonName().." Double Click") end,
	},
	DESCR
end

